Bug 10444 - smbd_server_connection_terminate("CTDB_SRVID_RELEASE_IP") panics from within ctdbd_migrate() with invalid lock_order
smbd_server_connection_terminate("CTDB_SRVID_RELEASE_IP") panics from within ...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-13 14:34 UTC by Stefan Metzmacher
Modified: 2014-04-04 18:52 UTC (History)
1 user (show)

See Also:


Attachments
Patches for master (12.41 KB, patch)
2014-02-20 17:21 UTC, Stefan Metzmacher
no flags Details
Patch for 4.0.13 (15.15 KB, patch)
2014-02-21 13:50 UTC, Stefan Metzmacher
no flags Details
Patch for v4-1-test (12.98 KB, patch)
2014-02-21 13:56 UTC, Stefan Metzmacher
jra: review+
vl: review+
Details
Patch for v4-0-test (14.53 KB, patch)
2014-02-21 13:56 UTC, Stefan Metzmacher
jra: review+
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2014-02-13 14:34:24 UTC
If smbd_server_connection_terminate("CTDB_SRVID_RELEASE_IP") is triggered from
within ctdbd_migrate(), we'll get a smb_panic complaining about invalid
lock_order, as ctdbd_migrate is called from dbwrap_fetch_locked().
Comment 1 Stefan Metzmacher 2014-02-20 17:21:03 UTC
Created attachment 9705 [details]
Patches for master
Comment 2 Stefan Metzmacher 2014-02-21 13:50:36 UTC
Created attachment 9706 [details]
Patch for 4.0.13
Comment 3 Stefan Metzmacher 2014-02-21 13:56:11 UTC
Created attachment 9707 [details]
Patch for v4-1-test
Comment 4 Stefan Metzmacher 2014-02-21 13:56:33 UTC
Created attachment 9708 [details]
Patch for v4-0-test
Comment 5 Jeremy Allison 2014-02-25 00:42:11 UTC
Karolin please pick for 4.0.next, 4.1.next.
Comment 6 Karolin Seeger 2014-03-10 15:15:45 UTC
(In reply to comment #5)
> Karolin please pick for 4.0.next, 4.1.next.

Pushed to autobuild-v4-1-test and autobuild-v4-0-test.
Comment 7 Karolin Seeger 2014-03-25 09:32:41 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > Karolin please pick for 4.0.next, 4.1.next.
> 
> Pushed to autobuild-v4-1-test and autobuild-v4-0-test.

Pushed to v4-1-test.
Re-pushed to autobuild-v4-0-test.
Comment 8 Karolin Seeger 2014-04-04 18:52:32 UTC
Pushed to both branches.
Closing out bug report.

Thanks!